/*
 * $Id: cursesui.h,v 1.9 2005/02/25 03:21:44 kos Exp $
 *
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "ssidsniff.h"

#ifndef _CURSESUI_H
#define _CURSESUI_H

#define UI_DIR_UP 0
#define UI_DIR_DOWN 1

typedef enum {
  UI_SORT_RECV, UI_SORT_SSID, UI_SORT_CHANNEL, UI_SORT_PACKETS, UI_SORT_DATA, UI_SORT_PPS
} ui_sort_t;

typedef enum {
  UI_MODE_NORMAL, UI_MODE_HELP, UI_MODE_INFO, UI_MODE_SORT, UI_MODE_STRINGS
} ui_mode_t;

typedef struct uifield_t {
  char name[DEF_LINELEN];
  int size;
  int cursize;
  int selected;
} uifield_t;

typedef struct ui_t {
  char *status1;
  char *status2;
  char *info;
  int nfields;
  uifield_t *fields;
} ui_t;

int ui_init(void);
int ui_refresh(ssidsniff_t *s);
int ui_redraw(ssidsniff_t *s);
int ui_mode(ui_mode_t);
int ui_finish(void);
int ui_clear(void);
int ui_select(ssidsniff_t *, int);
int ui_tag(ssidsniff_t *, int);
char ui_query_char(char *);
int ui_process_events(ssidsniff_t *s);
int ui_info(char *, ...);

#endif /* _CURSESUI_H */
